ghc-8.2.2: The GHC API

Safe Haskell | None
Language | Haskell2010

PPC.Cond

# Documentation

data Cond #

Constructors

ALWAYS |
EQQ |
GE |
GEU |
GTT |
GU |
LE |
LEU |
LTT |
LU |
NE |

Instances

Eq Cond # |
Methods (==) :: Cond -> Cond -> Bool # (/=) :: Cond -> Cond -> Bool #

condNegate :: Cond -> Cond #

condUnsigned :: Cond -> Bool #

condToSigned :: Cond -> Cond #

condToUnsigned :: Cond -> Cond #